Subject: Re: [PATCH v2 0/2] commit: remove deprecated functions

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Jun 2026 16:14:48 +0900

Jeff King <[email-masked]> writes:

> On Thu, May 28, 2026 at 09:00:09AM +0200, [email-masked] wrote:
>
>> Topic summary: Remove deprecated comments that were slated for removal
>> after Git 2.53.0.
>
> This looks obviously correct to me, but the whole topic made me wonder:
> was it worth retaining the old names and deprecating them, versus just
> removing them back then?
>
> Topics in flight would have needed an update then, but they did
> eventually anyway. So it feels like the total amount of work done is
> larger, compared to just fixing them as the topics were merged. Either
> way the compiler tells us, and the adjustments themselves are small.

Your alternative approach will depend on the integrator doing all
the fixups at the merge time.

The amount of effort required by the entire community as a whole may
have been larger, but the way the rename was carried out did spread
them thinner.

Admittedly, with help from rerere and merge-fix mechanism, such a
"fixup at the merge time" typically needs to be done only once per
the other conflicting topic in flight, but still, when constructing
a workflow, I try to avoid having to depend on the single bottleneck
for a task that does not need to be performed by the single
bottleneck, especially when the single bottleneck has other tasks
that can only be done by the single bottleneck.

> Not a huge deal either way, but just pondering for future such
> situations.
>
> -Peff